Actionstep API (v2) (2.0)

Download OpenAPI specification:Download

Public API to connect to Actionstep platform

Authentication

oAuth2

The Actionstep API uses oAuth2 as the security layer for the API. Please visit https://oauth.net/2/ for more information.

Security Scheme Type OAuth2
authorizationCode OAuth Flow
Authorization URL: https://go.actionstep.com/api/oauth2/authorize
Token URL: https://go.actionstep.com/api/oauth2/token
Refresh URL: https://go.actionstep.com/api/oauth2/token
Scopes:
  • abc -

    test

Matters

Matters.lookup

Lookup a matter using keywords for widgets like a matter picker or global search box

query Parameters
q
required
string
Example: q=Bob Smith

Keywords for searching on.

sort
string
Example: sort=name,-id

The sort key where - indicates descending.

page
integer <int32>
Example: page=1

The page number, used for paging. Where possible avoid using this directly, instead use the URLs in the paging headers in the response

pageSize
integer <int32>
Example: pageSize=100

The number of records per page, used for paging. Where possible avoid using this directly, instead use the URLs in the paging headers in the response

Responses

200

Successful response

get /matters/lookup

Actionstep production environment

https://{region}.actionstep.com/api/v2/matters/lookup

Actionstep staging (sandbox) environment

https://{region}.actionstepstaging.com/api/v2/matters/lookup

Response samples

Content type
application/json
Copy
Expand all Collapse all
[
  • {
    }
]

Matters.get

Get a matter by id.

path Parameters
matterId
required
integer <int32>

Matter id

Responses

200

Successful response

get /matters/{matterId}

Actionstep production environment

https://{region}.actionstep.com/api/v2/matters/{matterId}

Actionstep staging (sandbox) environment

https://{region}.actionstepstaging.com/api/v2/matters/{matterId}

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "reference": "ACSE3216831D",
  • "createdAt": "2015-12-25T00:00:00.000+0000",
  • "name": "Lucas, Christopher family.",
  • "lastActivity": "2015-12-20T09:24:11+13:00",
  • "id": 123,
  • "type":
    {
    },
  • "assignedTo":
    {
    },
  • "primaryParty":
    {
    },
  • "primaryPartyCount": 2,
  • "status": "Active",
  • "isFavorite": false
}

MatterFileNotes

MatterFileNotes.delete

Delete a file note by id.

path Parameters
matterId
required
integer <int32>

The id of the matter the new file note belongs to

noteId
required
integer <int32>

The id of the file note

query Parameters
reason
required
string
Example: reason=Record was created by mistake

The reason provided by the user for deleting the selected record(s). This is stored in the audit logs for future reference.

fields
string
Example: fields=id,name,createdBy.id

Sparse fieldset flag to reduce the number of fields returned in the response payload

Responses

204

No data response

delete /matters/{matterId}/filenotes/{noteId}

Actionstep production environment

https://{region}.actionstep.com/api/v2/matters/{matterId}/filenotes/{noteId}

Actionstep staging (sandbox) environment

https://{region}.actionstepstaging.com/api/v2/matters/{matterId}/filenotes/{noteId}

MatterFileNotes.get

Get a file note by id.

path Parameters
matterId
required
integer <int32>

Matter id

noteId
required
integer <int32>

Note id

Responses

200

Successful response

get /matters/{matterId}/filenotes/{noteId}

Actionstep production environment

https://{region}.actionstep.com/api/v2/matters/{matterId}/filenotes/{noteId}

Actionstep staging (sandbox) environment

https://{region}.actionstepstaging.com/api/v2/matters/{matterId}/filenotes/{noteId}

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "createdAt": "2015-12-25T20:00:15+10:00",
  • "matterDocument":
    {
    },
  • "createdBy":
    {
    },
  • "noteDateTime": "2015-12-25T20:00:15+10:00",
  • "id": 123,
  • "content": "Wife called police on 19 Dec night...",
  • "tags":
    [
    ]
}

MatterFileNotes.update

Update a filenote

path Parameters
matterId
required
integer <int32>

The id of the matter the new file note belongs to

noteId
required
integer <int32>

The id of the file note

Request Body schema: application/json
content
required
string [ 1 .. 100000 ] characters

The details text of the FileNote

noteDateTime
string <date-time> Y-m-d\TH:i:sP

The date/time associated with the FileNote.

externalReference
string [ 0 .. 1000 ] characters

The external reference for the FileNote.

tags
Array of integers <int32>

The Tags linked to the FileNote

Responses

200

Successful response

put /matters/{matterId}/filenotes/{noteId}

Actionstep production environment

https://{region}.actionstep.com/api/v2/matters/{matterId}/filenotes/{noteId}

Actionstep staging (sandbox) environment

https://{region}.actionstepstaging.com/api/v2/matters/{matterId}/filenotes/{noteId}

Request samples

Content type
application/json
Copy
Expand all Collapse all
{}

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "createdAt": "2015-12-25T20:00:15+10:00",
  • "matterDocument":
    {
    },
  • "createdBy":
    {
    },
  • "noteDateTime": "2015-12-25T20:00:15+10:00",
  • "id": 123,
  • "content": "Wife called police on 19 Dec night...",
  • "tags":
    [
    ]
}

MatterFileNotes.list

Get file notes by matter id.

path Parameters
matterId
required
integer <int32>

Matter id

query Parameters
filter
string
Example: filter=id = 123 AND content contains 'Wife called police o'

An SQL-like filter string - make sure to URL Encode your strings!
Filterable fields:

  • id
  • content
  • noteDateTime
  • externalReference
  • matterDocument.id
  • matterDocument.name
  • createdBy.id
  • createdBy.displayName
  • createdAt
  • tags.id

sort
string
Example: sort=name,-id

The sort key where - indicates descending.

page
integer <int32>
Example: page=1

The page number, used for paging. Where possible avoid using this directly, instead use the URLs in the paging headers in the response

pageSize
integer <int32>
Example: pageSize=100

The number of records per page, used for paging. Where possible avoid using this directly, instead use the URLs in the paging headers in the response

Responses

200

Successful response

get /matters/{matterId}/filenotes

Actionstep production environment

https://{region}.actionstep.com/api/v2/matters/{matterId}/filenotes

Actionstep staging (sandbox) environment

https://{region}.actionstepstaging.com/api/v2/matters/{matterId}/filenotes

Response samples

Content type
application/json
Copy
Expand all Collapse all
[
  • {
    }
]

MatterFileNotes.insert

Create a new file note to a matter.

path Parameters
matterId
required
integer <int32>

The id of the matter to add the new file note

Request Body schema: application/json
content
required
string [ 1 .. 100000 ] characters

The details text of the FileNote

noteDateTime
string <date-time> Y-m-d\TH:i:sP

The date/time associated with the FileNote.

externalReference
string [ 0 .. 1000 ] characters

The external reference for the FileNote.

tags
Array of integers <int32>

The Tags linked to the FileNote

Responses

200

Successful response

post /matters/{matterId}/filenotes

Actionstep production environment

https://{region}.actionstep.com/api/v2/matters/{matterId}/filenotes

Actionstep staging (sandbox) environment

https://{region}.actionstepstaging.com/api/v2/matters/{matterId}/filenotes

Request samples

Content type
application/json
Copy
Expand all Collapse all
{}

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "createdAt": "2015-12-25T20:00:15+10:00",
  • "matterDocument":
    {
    },
  • "createdBy":
    {
    },
  • "noteDateTime": "2015-12-25T20:00:15+10:00",
  • "id": 123,
  • "content": "Wife called police on 19 Dec night...",
  • "tags":
    [
    ]
}

Tags

TagCategories.listTagsByCategory

Find all tags by category

path Parameters
categoryId
required
string

Tag category id

query Parameters
filter
string
Example: filter=id = 1022 AND name contains 'Enquiry'

An SQL-like filter string - make sure to URL Encode your strings!
Filterable fields:

  • id
  • name

sort
string
Example: sort=name,-id

The sort key where - indicates descending.

page
integer <int32>
Example: page=1

The page number, used for paging. Where possible avoid using this directly, instead use the URLs in the paging headers in the response

pageSize
integer <int32>
Example: pageSize=100

The number of records per page, used for paging. Where possible avoid using this directly, instead use the URLs in the paging headers in the response

Responses

200

Successful response

get /tag-categories/{categoryId}/tags

Actionstep production environment

https://{region}.actionstep.com/api/v2/tag-categories/{categoryId}/tags

Actionstep staging (sandbox) environment

https://{region}.actionstepstaging.com/api/v2/tag-categories/{categoryId}/tags

Response samples

Content type
application/json
Copy
Expand all Collapse all
[
  • {
    }
]

TagCategories.list

Gets many tag categories

query Parameters
filter
string
Example: filter=id contains 'matter' AND description contains 'Matters'

An SQL-like filter string - make sure to URL Encode your strings!
Filterable fields:

  • id
  • description

sort
string
Example: sort=name,-id

The sort key where - indicates descending.

page
integer <int32>
Example: page=1

The page number, used for paging. Where possible avoid using this directly, instead use the URLs in the paging headers in the response

pageSize
integer <int32>
Example: pageSize=100

The number of records per page, used for paging. Where possible avoid using this directly, instead use the URLs in the paging headers in the response

Responses

200

Successful response

get /tag-categories

Actionstep production environment

https://{region}.actionstep.com/api/v2/tag-categories

Actionstep staging (sandbox) environment

https://{region}.actionstepstaging.com/api/v2/tag-categories

Response samples

Content type
application/json
Copy
Expand all Collapse all
[
  • {
    }
]

TagCategories.get

Gets a tag by id

path Parameters
id
required
string

Tag category id

Responses

200

Successful response

get /tag-categories/{id}

Actionstep production environment

https://{region}.actionstep.com/api/v2/tag-categories/{id}

Actionstep staging (sandbox) environment

https://{region}.actionstepstaging.com/api/v2/tag-categories/{id}

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "description": "Matters",
  • "id": "matter"
}

Tags.list

Gets many tags

query Parameters
filter
string
Example: filter=id = 1022 AND name contains 'Enquiry'

An SQL-like filter string - make sure to URL Encode your strings!
Filterable fields:

  • id
  • name

sort
string
Example: sort=name,-id

The sort key where - indicates descending.

page
integer <int32>
Example: page=1

The page number, used for paging. Where possible avoid using this directly, instead use the URLs in the paging headers in the response

pageSize
integer <int32>
Example: pageSize=100

The number of records per page, used for paging. Where possible avoid using this directly, instead use the URLs in the paging headers in the response

Responses

200

Successful response

get /tags

Actionstep production environment

https://{region}.actionstep.com/api/v2/tags

Actionstep staging (sandbox) environment

https://{region}.actionstepstaging.com/api/v2/tags

Response samples

Content type
application/json
Copy
Expand all Collapse all
[
  • {
    }
]

Tags.get

Gets a tag by id

path Parameters
id
required
integer <int32>

Tag id

Responses

200

Successful response

get /tags/{id}

Actionstep production environment

https://{region}.actionstep.com/api/v2/tags/{id}

Actionstep staging (sandbox) environment

https://{region}.actionstepstaging.com/api/v2/tags/{id}

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "parent": 10,
  • "defaultColor": "#f0f0f0",
  • "name": "Enquiry",
  • "icon": "warning.png",
  • "description": "Initial customer contact",
  • "id": 1022,
  • "categories":
    [
    ]
}